Create a group
curl --request POST \
--url https://api.onecli.sh/scim/v2/Groups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/scim+json' \
--data '
{
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:Group"
],
"id": "<string>",
"externalId": "<string>",
"displayName": "<string>",
"members": [
{
"value": "<string>",
"display": "<string>"
}
],
"meta": {
"resourceType": "<string>",
"created": "<string>",
"lastModified": "<string>",
"location": "<string>"
}
}
'import requests
url = "https://api.onecli.sh/scim/v2/Groups"
payload = {
"schemas": ["urn:ietf:params:scim:schemas:core:2.0:Group"],
"id": "<string>",
"externalId": "<string>",
"displayName": "<string>",
"members": [
{
"value": "<string>",
"display": "<string>"
}
],
"meta": {
"resourceType": "<string>",
"created": "<string>",
"lastModified": "<string>",
"location": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/scim+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/scim+json'},
body: JSON.stringify({
schemas: ['urn:ietf:params:scim:schemas:core:2.0:Group'],
id: '<string>',
externalId: '<string>',
displayName: '<string>',
members: [{value: '<string>', display: '<string>'}],
meta: {
resourceType: '<string>',
created: '<string>',
lastModified: '<string>',
location: '<string>'
}
})
};
fetch('https://api.onecli.sh/scim/v2/Groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:Group"
],
"id": "<string>",
"externalId": "<string>",
"displayName": "<string>",
"members": [
{
"value": "<string>",
"display": "<string>"
}
],
"meta": {
"resourceType": "<string>",
"created": "<string>",
"lastModified": "<string>",
"location": "<string>"
}
}{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:Error"
],
"status": "<string>",
"scimType": "<string>",
"detail": "<string>"
}{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:Error"
],
"status": "<string>",
"scimType": "<string>",
"detail": "<string>"
}SCIM 2.0
Create a group
Creates a scim-sourced directory group.
POST
/
Groups
Create a group
Authorizations
A workspace API key (oc_…) or organization API key (oc_org_…). Workspace-scoped endpoints called with an organization key also need X-Workspace-Id.
Body
application/scim+json